> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List previous versions of a Page

> Get all previous versions of a page.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json GET /content/api/v2/pages/{page_id}/versions
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/versions:
    get:
      tags:
        - Pages
      summary: List previous versions of a Page
      description: Get all previous versions of a page.
      operationId: getPageVersions
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              examples:
                page_versions:
                  summary: List of page versions
                  value:
                    - object:
                        id: 352531415
                        name: Contact Us
                        slug: my-api-demo-page-slug
                        html_title: The API Test Page
                        created: 1381896129000
                        updated: 1441239877000
                        publish_date: 1424373283000
                        has_user_changes: true
                        is_draft: false
                        portal_id: 62515
                        subcategory: site_page
                        template_path: generated_layouts/352531305.html
                      user:
                        username: key-api-216.253.207.138
                        id: ''
                        full_name: <firstName> <lastName>
                        email: key-api-216.253.207.138
                      version_id: -1
                      authored_at: 0
                    - object:
                        id: 352531415
                        name: Contact Us
                        slug: my-api-demo-page-slug
                        html_title: The API Test Page
                        created: 1381896129000
                        updated: 1441133948000
                        publish_date: 1424373283000
                        has_user_changes: true
                        is_draft: false
                        portal_id: 62515
                        subcategory: site_page
                        template_path: generated_layouts/352531305.html
                      user:
                        username: key-api-216.253.207.138
                        id: ''
                        full_name: <firstName> <lastName>
                        email: key-api-216.253.207.138
                      version_id: 3280956201
                      authored_at: 1441133924025

````